declare const KnownBrowsers: {
    chrome: string;
    brave: string;
    crios: string;
    edge: string;
    edg: string;
    edgios: string;
    fennec: string;
    jsdom: string;
    mozilla: string;
    fxios: string;
    msie: string;
    opera: string;
    opios: string;
    opr: string;
    opt: string;
    rv: string;
    safari: string;
    samsungbrowser: string;
    electron: string;
};
declare const KnownPlatforms: {
    android: string;
    androidTablet: string;
    cros: string;
    fennec: string;
    ipad: string;
    ipod: string;
    iphone: string;
    jsdom: string;
    linux: string;
    mac: string;
    tablet: string;
    win: string;
    'windows phone': string;
    xbox: string;
};

declare class BrowserDetector {
    userAgent: string | null;
    constructor(inputUA?: string);
    static get VERSION(): string;
    parseUserAgent(userAgent?: string): {
        name: string;
        platform: string;
        userAgent: string;
        version: string | null;
        shortVersion: string | null;
        isAndroid: boolean;
        isTablet: boolean;
        isMobile: boolean;
        isDesktop: boolean;
        isWebkit: boolean;
        isIE: boolean;
        isChrome: boolean;
        isFireFox: boolean;
        isSafari: boolean;
        isOpera: boolean;
        isEdge: boolean;
    };
    getBrowserInfo(): {
        name: string;
        platform: string;
        userAgent: string;
        version: string | null;
        shortVersion: string | null;
    };
}

export { BrowserDetector, KnownBrowsers, KnownPlatforms, BrowserDetector as default };
